|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3HBox Class Reference
[Qt3Support module]

The Q3HBox widget provides horizontal geometry management for its child widgets. More...

     #include <Q3HBox>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3Frame.

Inherited by Q3VBox.

- List of all members, including inherited members

### Public Functions

- Q3HBox ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )
- void setSpacing ( int space )
- bool setStretchFactor ( QWidget * w, int stretch )

- 4 public functions inherited from Q3Frame
- 13 public functions inherited from QFrame
- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 14 public functions inherited from QPaintDevice

### Protected Functions

- Q3HBox ( bool horizontal, QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

- 5 protected functions inherited from Q3Frame
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from Q3Frame
- 6 properties inherited from QFrame
- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 1 static public member inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The Q3HBox widget provides horizontal geometry management for its child widgets.

All the horizontal box's child widgets will be placed alongside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edges, and use setSpacing() to add space between the widgets. Use setStretchFactor() if you want the widgets to be different sizes in proportion to one another. (See Layouts for more information on stretch factors.)

See also QHBoxLayout, Q3VBox, and Q3Grid.

## Member Function Documentation

### Q3HBox::Q3HBox ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

Constructs an hbox widget with parent parent, called name. The parent, name and widget flags, f, are passed to the Q3Frame constructor.

### Q3HBox::Q3HBox ( bool horizontal, QWidget * parent, const char * name, Qt::WindowFlags f = 0 ) `[protected]`

Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the QVBox class. You should never need to use it directly.

The parent, name and widget flags, f, are passed to the Q3Frame constructor.

### void Q3HBox::setSpacing ( int space )

Sets the spacing between the child widgets to space.

### bool Q3HBox::setStretchFactor ( QWidget * w, int stretch )

Sets the stretch factor of widget w to stretch. Returns true if w is found. Otherwise returns false.

See also QBoxLayout::setStretchFactor() and Layouts.